IPBIPB
Проектирование, монтаж, наладка, сервис

Здравствуйте, гость ( Вход | Регистрация )

Программа АВОК "Определение классов энергетической
эффективности многоквартирных домов"
АВОК в соц. сетях

> AutoCAD for HVAC

Данный раздел создан по просьбам участников Форума для сбора на сайте коллекции реальных работ чертежей for HVAC.

При присоединении файла, пожалуйста, указывайте следующую информацию:
Автор (Информация об авторе.)
Размер файла (максимальный размер присоединяемого файла 15 Мб)
Описание работы

Вся информация принимается и распространяется бесплатно.
Выполняет исключительно информационную функцию.
Администрация не несет ответственности за содержание представленной документации.
При обнаружении ошибок или неточностей просим вас прислать свои замечания на e-mail: ibforum@abok.ru.

 
Добавить ответ в эту темуОткрыть тему
> Есть в акаде кнопка для измерения длинны ломаной линии?, надо посчитать длинну петли теплого пола
инженер55
сообщение 25.4.2013, 13:56
Сообщение #1





Группа: Участники форума
Сообщений: 61
Регистрация: 3.4.2013
Из: Королёв
Пользователь №: 187983



Здравствуйте!
Считаю длины петель теплого пола, не могу найти соответствующую иконку в акаде (2009). Подскажите пожалса! А то змейку еще можно посчитать, а улитку - оч долго!
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Khomenko_A_S
сообщение 25.4.2013, 14:24
Сообщение #2


Инженер


Группа: Участники форума
Сообщений: 2270
Регистрация: 12.4.2012
Из: Херсон
Пользователь №: 147254



Кнопка конечно нужна, я и сам такой не находил. Но теплый пол не стоит прорисовывать в масштабе
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
MMM
сообщение 25.4.2013, 14:28
Сообщение #3


Инженер-проектировщик


Группа: Участники форума
Сообщений: 2002
Регистрация: 31.10.2005
Из: Москва
Пользователь №: 1437



Да ужжж. Дейсвительно зачем в масштабе рисовать?? Рисуете крестик и пишете смонтировать и посчитать по месту...
А считать вообще плевое дело. Рисуете полилинией, потом в свойствах смотрите ее длину
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Khomenko_A_S
сообщение 25.4.2013, 14:46
Сообщение #4


Инженер


Группа: Участники форума
Сообщений: 2270
Регистрация: 12.4.2012
Из: Херсон
Пользователь №: 147254



Посчитать и приблизительно можно зная площадь и шаг укладки. А то и маты с прорезями рисовать прийдется в случае применения
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
инженер55
сообщение 25.4.2013, 15:15
Сообщение #5





Группа: Участники форума
Сообщений: 61
Регистрация: 3.4.2013
Из: Королёв
Пользователь №: 187983



Полилинией обводить не хочется, лучше площадь/шаг)))
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Хитрый Лис
сообщение 25.4.2013, 15:21
Сообщение #6





Группа: Участники форума
Сообщений: 291
Регистрация: 25.1.2009
Из: Омск
Пользователь №: 28132



Обводить и не надо. Команда ПОЛРЕД и далее читай что в командной строке пишет. и все линии превратятся в одну длинную полилинию
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
инженер55
сообщение 25.4.2013, 17:20
Сообщение #7





Группа: Участники форума
Сообщений: 61
Регистрация: 3.4.2013
Из: Королёв
Пользователь №: 187983



чет не получается(((
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Axel
сообщение 25.4.2013, 17:31
Сообщение #8





Группа: Участники форума
Сообщений: 864
Регистрация: 7.11.2007
Из: А где-то в Крыму...
Пользователь №: 12671



Кнопка подсчета длины петель теплого пола
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
инженер55
сообщение 25.4.2013, 17:34
Сообщение #9





Группа: Участники форума
Сообщений: 61
Регистрация: 3.4.2013
Из: Королёв
Пользователь №: 187983



Получилось! разница +5м по сравнению с Площ/шаг!
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
инженер55
сообщение 27.4.2013, 22:46
Сообщение #10





Группа: Участники форума
Сообщений: 61
Регистрация: 3.4.2013
Из: Королёв
Пользователь №: 187983



Спасибо за ответы))
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Хитрый Лис
сообщение 28.4.2013, 15:15
Сообщение #11





Группа: Участники форума
Сообщений: 291
Регистрация: 25.1.2009
Из: Омск
Пользователь №: 28132



Цитата(инженер55 @ 25.4.2013, 21:20) *
чет не получается(((

А что там сложного то?
-Команда ПОЛРЕД ентер
-выберите полилинию или (несколько) - надо ввести Н и нажать ентер
- выбираешь все линии и жмешь ентер
- преобразовать отрезки в полилинии? (да) - Д ентер
- задайте опцию (добавить)- Д ентер
- значение допуска - 0 ентер
- ентер
Все должно получиться
Если не получется можно еще выбрать на шаге "задайте опцию" Типлин. потом снова Добавить и ентер 2 раза
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Медведица
сообщение 13.5.2013, 10:56
Сообщение #12


медвежатина


Группа: Участники форума
Сообщений: 1302
Регистрация: 4.12.2009
Из: против разбазаривания НЕВОЗОБНОВЛЯЕМЫХ природных ресурсов
Пользователь №: 41817



;ENTLEN.LSP
;http://www.caduser.ru/forum/index.php?PAGE_NAME=read&FID=2&TID=21819
;======================================================================
;entLen_moss.lsp — Подсчёт суммы длин выбранных примитивов
;======================================================================

(vl-load-com)
(defun C:ENTLEN (/
NABOR ;Набор примитивов
i ;Счётчик
ENT_i ;i-й примитив из набора NABOR
LEN_all ;Суммарная длина примитивов
LEN_i ;Длина i-го примитива
)


(princ "\nПодсчёт суммы длин выбранных примитивов. ")
(princ "\nВыберите примитивы: ")

;--------------------------------------------------------------------
;Выбор примитивов [выбираем нужные, отфильтровываем ненужные]
;--------------------------------------------------------------------
(setq NABOR (ssget
'((-4 . "<OR")
(0 . "*LINE")
(0 . "CIRCLE")
(0 . "ARC")
(0 . "ELLIPSE")
(-4 . "OR>")
)
);end ssget
);end setq


;--------------------------------------------------------------------
;Сообщение о количестве выбранных примитивов
;--------------------------------------------------------------------
(princ (strcat "\nВсего выбрано примитивов: " (itoa (sslength NABOR))))
(princ "\n-------------------------")

;--------------------------------------------------------------------
;Установка начальных значений
;--------------------------------------------------------------------
(setq i 0)
(setq LEN_all 0.0)


;--------------------------------------------------------------------
;Цикл по набору NABOR
;--------------------------------------------------------------------
(while (< i (sslength NABOR))

;..................................................................
;Определяем Имя i-го примитива из набора NABOR
;..................................................................
(setq ENT_i (ssname NABOR i))

;..................................................................
;Определяем Длиу i-го примитива из набора NABOR
;..................................................................
(setq LEN_i (vlax-curve-getDistAtParam
(vlax-ename->vla-object ENT_i)
(vlax-curve-getEndParam ENT_i)
);end vlax-curve-getDistAtParam
);end setq

(princ (strcat "\n"(itoa (1+ i)) "-й примитив = " (rtos LEN_i) "м"))

;;;Отладка
;;;(redraw ENT_i 3)
;;;(read-line)

;..................................................................
;Наращиваем суммарную длину всех выбранных примитивов
;..................................................................
(setq LEN_all (+ LEN_all LEN_i))

(setq i (1+ i))
);end while

(princ "\n-------------------------")
(princ (strcat
"\nОбщая длина " (itoa (sslength NABOR)) " выбранных примитивов = "
(rtos LEN_all)
"м"
);end strcat
);end princ

(prin1)
);end defun C:ENTLEN
;**********************************************************************

Сообщение отредактировал Медведица - 13.5.2013, 10:59
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Kurbashy
сообщение 3.11.2016, 11:29
Сообщение #13





Группа: Участники форума
Сообщений: 23
Регистрация: 14.12.2009
Из: Питер
Пользователь №: 42464



Цитата(Axel @ 25.4.2013, 17:31) *

Скажу спасибо Александру Ривилису.
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения
Composter
сообщение 3.11.2016, 12:12
Сообщение #14





Группа: Участники форума
Сообщений: 2135
Регистрация: 5.3.2009
Из: Нового Уренгоя
Пользователь №: 30120



ахаха, а когда то медведица заявлял про лиспы что "а так всё пустая псевдо реклама неизвестно чего"

а на счет высказывания Хитрый Лис , добавлю что если не все линии объединяются в полилинию то нужно устновить значение допуска 10(ну или больше)
Вернуться в начало страницы
 
+Ответить с цитированием данного сообщения

Добавить ответ в эту темуОткрыть тему
1 чел. читают эту тему (гостей: 1, скрытых пользователей: 0)
Пользователей: 0

 

Реклама














Последние сообщения Форума





Rambler's Top100 Rambler's Top100

RSS Текстовая версия Сейчас: 26.9.2017, 17:29